Zum Inhalt springen
Odinex Cloud
API-Referenz

Images

Diese Referenz wird aus der OpenAPI-Spezifikation erzeugt; die Beschreibungen der Endpunkte und Felder sind auf Englisch.

GET
/images

Autorisierung

headerAutorisierungBearer <token>

Query-Parameter

type?string
Wert in"system""app""snapshot""backup"
location?string

Only images available in this region

name?string

Only the image with this exact name

label_selector?string

Only images whose labels match, e.g. env=prod,role!=db (operators: =, !=, key, !key)

Response-Body

Images

application/json
  1. response
images*array<>
curl -X GET "https://example.com/images"
{  "images": [    {      "id": 0,      "type": "system",      "name": "string",      "description": "string",      "os_flavor": "ubuntu",      "os_version": "string",      "architecture": "x86",      "disk_size": 0,      "image_size": 0,      "status": "creating",      "deprecated": "2019-08-24T14:15:22Z",      "created_from": 0,      "protection": {        "delete": true      },      "locations": [        "string"      ],      "labels": {        "property1": "string",        "property2": "string"      },      "created": "2019-08-24T14:15:22Z"    }  ]}

Get image

GET
/images/{id}

Autorisierung

headerAutorisierungBearer <token>

Pfadparameter

id*integer
Formatint64

Response-Body

Image

application/json
  1. response
image*
curl -X GET "https://example.com/images/0"
{  "image": {    "id": 0,    "type": "system",    "name": "string",    "description": "string",    "os_flavor": "ubuntu",    "os_version": "string",    "architecture": "x86",    "disk_size": 0,    "image_size": 0,    "status": "creating",    "deprecated": "2019-08-24T14:15:22Z",    "created_from": 0,    "protection": {      "delete": true    },    "locations": [      "string"    ],    "labels": {      "property1": "string",      "property2": "string"    },    "created": "2019-08-24T14:15:22Z"  }}

Delete a snapshot or backup

DELETE
/images/{id}

Autorisierung

headerAutorisierungBearer <token>

Pfadparameter

id*integer
Formatint64

Response-Body

Deleted

curl -X DELETE "https://example.com/images/0"
Leer
PUT
/images/{id}

Autorisierung

headerAutorisierungBearer <token>

Pfadparameter

id*integer
Formatint64

Request-Body

application/json
  1. body
description?string
Längelength <= 255
labels?

Up to 64 key/value pairs; keys and values up to 63 characters

protection?

Response-Body

Updated

application/json
  1. response
image*
curl -X PUT "https://example.com/images/0" \  -H "Content-Type: application/json" \  -d '{}'
{  "image": {    "id": 0,    "type": "system",    "name": "string",    "description": "string",    "os_flavor": "ubuntu",    "os_version": "string",    "architecture": "x86",    "disk_size": 0,    "image_size": 0,    "status": "creating",    "deprecated": "2019-08-24T14:15:22Z",    "created_from": 0,    "protection": {      "delete": true    },    "locations": [      "string"    ],    "labels": {      "property1": "string",      "property2": "string"    },    "created": "2019-08-24T14:15:22Z"  }}